# coding: utf-8

"""
    Camunda Platform REST API

    OpenApi Spec for Camunda Platform REST API.  # noqa: E501

    The version of the OpenAPI document: 7.18.0
    Generated by: https://openapi-generator.tech
"""


import pprint
import re  # noqa: F401

import six

from generic_camunda_client.configuration import Configuration


class TelemetryProductDto(object):
    """NOTE: This class is auto generated by OpenAPI Generator.
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """

    """
    Attributes:
      openapi_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    openapi_types = {
        'name': 'str',
        'version': 'str',
        'edition': 'str',
        'internals': 'dict(str, TelemetryInternalsDto)'
    }

    attribute_map = {
        'name': 'name',
        'version': 'version',
        'edition': 'edition',
        'internals': 'internals'
    }

    def __init__(self, name=None, version=None, edition=None, internals=None, local_vars_configuration=None):  # noqa: E501
        """TelemetryProductDto - a model defined in OpenAPI"""  # noqa: E501
        if local_vars_configuration is None:
            local_vars_configuration = Configuration()
        self.local_vars_configuration = local_vars_configuration

        self._name = None
        self._version = None
        self._edition = None
        self._internals = None
        self.discriminator = None

        self.name = name
        self.version = version
        self.edition = edition
        self.internals = internals

    @property
    def name(self):
        """Gets the name of this TelemetryProductDto.  # noqa: E501

        The name of the product (i.e., Camunda BPM Runtime).  # noqa: E501

        :return: The name of this TelemetryProductDto.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this TelemetryProductDto.

        The name of the product (i.e., Camunda BPM Runtime).  # noqa: E501

        :param name: The name of this TelemetryProductDto.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def version(self):
        """Gets the version of this TelemetryProductDto.  # noqa: E501

        The version of the process engine (i.e., 7.X.Y).  # noqa: E501

        :return: The version of this TelemetryProductDto.  # noqa: E501
        :rtype: str
        """
        return self._version

    @version.setter
    def version(self, version):
        """Sets the version of this TelemetryProductDto.

        The version of the process engine (i.e., 7.X.Y).  # noqa: E501

        :param version: The version of this TelemetryProductDto.  # noqa: E501
        :type: str
        """

        self._version = version

    @property
    def edition(self):
        """Gets the edition of this TelemetryProductDto.  # noqa: E501

        The edition of the product (i.e., either community or enterprise).  # noqa: E501

        :return: The edition of this TelemetryProductDto.  # noqa: E501
        :rtype: str
        """
        return self._edition

    @edition.setter
    def edition(self, edition):
        """Sets the edition of this TelemetryProductDto.

        The edition of the product (i.e., either community or enterprise).  # noqa: E501

        :param edition: The edition of this TelemetryProductDto.  # noqa: E501
        :type: str
        """

        self._edition = edition

    @property
    def internals(self):
        """Gets the internals of this TelemetryProductDto.  # noqa: E501

        Internal data and metrics collected by the product.  # noqa: E501

        :return: The internals of this TelemetryProductDto.  # noqa: E501
        :rtype: dict(str, TelemetryInternalsDto)
        """
        return self._internals

    @internals.setter
    def internals(self, internals):
        """Sets the internals of this TelemetryProductDto.

        Internal data and metrics collected by the product.  # noqa: E501

        :param internals: The internals of this TelemetryProductDto.  # noqa: E501
        :type: dict(str, TelemetryInternalsDto)
        """

        self._internals = internals

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.openapi_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, TelemetryProductDto):
            return False

        return self.to_dict() == other.to_dict()

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        if not isinstance(other, TelemetryProductDto):
            return True

        return self.to_dict() != other.to_dict()
